toymaker.git

commit 0b59eddd5d573a95c39120b8795476fec3e0615d

Author: Adam <git@apiote.xyz>

change base32 to base64

 password.sh | 2 +-
 toymaker.sh | 4 ++--


diff --git a/password.sh b/password.sh
index f7f5420d6d1cae05b8b17341848d1907ad6808c6..af10a8028793a1f51594854e1f70fd8e459dc282 100755
--- a/password.sh
+++ b/password.sh
@@ -3,7 +3,7 @@
 encode() {
 	if [ -z "$1" ]
 	then
-		salt=$(dd if=/dev/urandom count=7 bs=1 2>/dev/null | base32 | tr -d '=')
+		salt=$(dd if=/dev/urandom count=9 bs=1 2>/dev/null | base64 | tr -d '=')
 	else
 		salt=$1
 	fi




diff --git a/toymaker.sh b/toymaker.sh
index dd70baf5d411e8b22970d625351424789c0162b6..5aeba871d28739ca0d844a73efa0352200676a05 100755
--- a/toymaker.sh
+++ b/toymaker.sh
@@ -350,8 +350,8 @@ 	done
 }
 
 # dependency verification
-for cmd in nc argon2 podman; do
-  command -v $cmd >/dev/null || { echo "$0: \`$cmd\` not found"; exit 2; }
+for cmd in nc argon2 podman base64; do
+	command -v $cmd >/dev/null || { echo "$0: \`$cmd\` not found"; exit 2; }
 done
 
 while getopts p:h opt; do